Package: org.gradle.nativeplatform

## [Java] Interface PrebuiltLibrary

- org.gradle.platform.base.Library

- All Superinterfaces:
    NativeLibrary, Named, Component, Library

  A library component that is not built by gradle.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `DomainObjectSet<NativeLibraryBinary>` | `getBinaries()` The binaries that are built for this component.
    `SourceDirectorySet` | `getHeaders()` The headers exported by this library.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Named` | `getName`

- - ### Method Detail

    - #### public DomainObjectSet<NativeLibraryBinary> getBinaries()

      The binaries that are built for this component. You can use this to configure the binaries for this component.

    - #### public SourceDirectorySet getHeaders()

      The headers exported by this library. These headers will be added to all binaries for this library.